Click or drag to resize

TextEntityCreate Method

Create Text geometry or null if input is invalid

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static TextEntity Create(
	string text,
	Plane plane,
	DimensionStyle style,
	bool wrapped,
	double rectWidth,
	double rotationRadians
)

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:Rhino.Geometry.TextEntity.Create(System.String,Rhino.Geometry.Plane,Rhino.DocObjects.DimensionStyle,System.Boolean,System.Double,System.Double)"]

plane
Type: Rhino.GeometryPlane

[Missing <param name="plane"/> documentation for "M:Rhino.Geometry.TextEntity.Create(System.String,Rhino.Geometry.Plane,Rhino.DocObjects.DimensionStyle,System.Boolean,System.Double,System.Double)"]

style
Type: Rhino.DocObjectsDimensionStyle

[Missing <param name="style"/> documentation for "M:Rhino.Geometry.TextEntity.Create(System.String,Rhino.Geometry.Plane,Rhino.DocObjects.DimensionStyle,System.Boolean,System.Double,System.Double)"]

wrapped
Type: SystemBoolean

[Missing <param name="wrapped"/> documentation for "M:Rhino.Geometry.TextEntity.Create(System.String,Rhino.Geometry.Plane,Rhino.DocObjects.DimensionStyle,System.Boolean,System.Double,System.Double)"]

rectWidth
Type: SystemDouble

[Missing <param name="rectWidth"/> documentation for "M:Rhino.Geometry.TextEntity.Create(System.String,Rhino.Geometry.Plane,Rhino.DocObjects.DimensionStyle,System.Boolean,System.Double,System.Double)"]

rotationRadians
Type: SystemDouble

[Missing <param name="rotationRadians"/> documentation for "M:Rhino.Geometry.TextEntity.Create(System.String,Rhino.Geometry.Plane,Rhino.DocObjects.DimensionStyle,System.Boolean,System.Double,System.Double)"]

Return Value

Type: TextEntity

[Missing <returns> documentation for "M:Rhino.Geometry.TextEntity.Create(System.String,Rhino.Geometry.Plane,Rhino.DocObjects.DimensionStyle,System.Boolean,System.Double,System.Double)"]

Version Information

Rhino for Windows

Supported in: 6.2
See Also